---
# tasks file for mysql-service

- name: Install MySQL database server
  apt: name={{ item }} state=present
  with_items:
    - python-mysqldb
    - mysql-server
  tags:
    - mysql_service
    - mysql_service_db_setup

- name: Start mysql service
  service: name=mysql state=started enabled=yes
  tags:
    - mysql_service
    - mysql_service_db_setup

- name: Setup root mysql client for admin tasks
  template: src=root-my.cnf.j2 dest=/root/.my.cnf owner=root group=root mode=0600
  tags:
    - mysql_service
    - mysql_service_db_setup

- name: Delete anonymous MySQL server user for {{ ansible_hostname }}
  mysql_user: user="" host="{{ ansible_hostname }}" state="absent"
  ignore_errors: yes
  tags:
    - mysql_service
    - mysql_service_db_setup

- name: Delete anonymous MySQL server user for localhost
  mysql_user: user="" state="absent"
  ignore_errors: yes
  tags:
    - mysql_service
    - mysql_service_db_setup

- name: Change root user password on first run
  mysql_user: login_user=root
              login_password=''
              name=root
              password={{ mysql_root_password }}
              priv=*.*:ALL,GRANT
              host={{ item }}
  with_items:
    - "{{ ansible_hostname }}"
    - 127.0.0.1
    - ::1
    - localhost
  ignore_errors: yes
  tags:
    - mysql_service
    - mysql_service_db_setup

- name: Remove the MySQL test database
  mysql_db: db=test state=absent
  ignore_errors: yes
  tags:
    - mysql_service
    - mysql_service_db_setup
